Pulse audio selector (indicateur de remplacement de "padevchooser")

Introduction

Cet applet permet de choisir les périphériques de lecture et d'enregistrement à utiliser sur pulseaudio.

Sur Ubuntu 10.04, l'outil "padevchooser" permettait de réaliser cette opération .

Sur les version récentes d'Ubuntu, cet applet n'existe plus , pour cause de compatibilité avec Gnome3/Unity et le système d'indicateurs.
Cet outil étant réélement manquant dans bien des situations, voici une implémentation personnelle utilisant python et les bindings GTK.

Il s'agit de mon premier projet en python, soyez indulgents ;) .

Téléchargement

Les paquets .deb ne sont pas encore disponibles , aussi je vous invite à récupérer la dernière version de développement (v0.0.6)

https://projects.stux6.net/attachments/download/2/indicator-paselector-0.0.6.tar.gz

Utilisation

Décompresser l'archive dans un répertoire accessible par l'utilisateur courant .

tar zxf indicator-paselector-0.0.6.tar.gz
cd indicator-paselector-0.0.6
python main.py

Paquets optionnels

Afin de profiter pleinement de cet indicateur, les utilitaires paprefs et paman sont souhaitables (mais non obligatoires).

apt-get install paprefs paman